/**
 * Main 部件模型
 *
 * @export
 * @class MainModel
 */
export default class MainModel {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof MainModel
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'orgid',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'orgname',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'porgname',
        prop: 'porgname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'orgname',
        prop: 'orgname',
        dataType: 'TEXT',
      },
      {
        name: 'orgcode',
        prop: 'orgcode',
        dataType: 'TEXT',
      },
      {
        name: 'levelcode',
        prop: 'levelcode',
        dataType: 'TEXT',
      },
      {
        name: 'enable',
        prop: 'enable',
        dataType: 'YESNO',
      },
      {
        name: 'orgid',
        prop: 'orgid',
        dataType: 'GUID',
      },
      {
        name: 'porgid',
        prop: 'porgid',
        dataType: 'PICKUP',
      },
      {
        name: 'org',
        prop: 'orgid',
        dataType: 'FONTKEY',
      },
    ]
  }

}